Bug 73672 - sh-utils: date format is broken in Japanese locale
sh-utils: date format is broken in Japanese locale
Product: Red Hat Public Beta
Classification: Retired
Component: sh-utils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-09-08 08:52 EDT by Nakai
Modified: 2007-04-18 12:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-11 12:11:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
sh-utils-2.0.12-langinfo.patch (1023 bytes, patch)
2002-09-08 08:53 EDT, Nakai
no flags Details | Diff

  None (edit)
Description Nakai 2002-09-08 08:52:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
1) date.c fails to include langinfo.h though
   config.h defines HAVE_LANGINFO_CODESET.

2) Fall back date format string should use dcgettext()
   func to be translatable.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Use date command in Japanese locale
2. Feel bad with wrong Japanese format.

Actual Results:  date shows wrong Japanese date format.

Expected Results:  date should show correct Japanese date format in
Japanese locale.

Additional info:

A patch is available.
Comment 1 Nakai 2002-09-08 08:53:32 EDT
Created attachment 75485 [details]
Comment 2 Tim Waugh 2002-10-07 09:22:07 EDT
Is this the correct patch to fix bug #73669 as well?
Comment 3 Nakai 2002-10-09 05:52:32 EDT
The attached sh-utils patch will not fix fileutils.
If you will use the latest coreutils, this bug is already
fixed as the author says.
Comment 4 Tim Waugh 2002-10-09 10:05:10 EDT
So glibc's LC_TIME settings are correct?  'locale LC_TIME' all looks right?
Comment 5 Tim Waugh 2002-10-23 08:04:13 EDT
Fixed package is sh-utils-2.0.12-4.

Note You need to log in before you can comment on or make changes to this bug.